## phpdocx 3.0+dfsg

=== Makefile ===
# This file should be configured before running `make'.
# Uncomment or change the values that are relevant for your OS.

# The preferred C compiler (by default use the OS-specific default value).
# For BSD/OS, FreeBSD, Linux (all flavors), NetBSD, OpenBSD the default
# compiler is GNU C. 
# (Note please the politically correct ordering by alphabet ! :-)
#
# Use GNU C even if it's not the default compiler
#
#CC=gcc
#
# Use the standard ANSI C compiler on HP-UX even if it's not default
#
#CC=c89

#
# The system-dependent flags for the C compiler
#
# Default

CFLAGS_SYS= -O

# For GNU C
#
#CFLAGS_SYS= -O2
#
# For GNU C with long options support library (Linux etc.)
#
#CFLAGS_SYS= -O2 -D_GNU_SOURCE
#
# For GNU C on HP-UX/PA-RISC 1.1
#
#CFLAGS_SYS= -O2 -Wa,-w
#
# For the standard ANSI C on HP-UX
#
#CFLAGS_SYS= +O2 -D_HPUX_SOURCE

#
# The system-dependent libraries
#
# Defalut (for the BSD-style OSes)

LIBS_SYS= -lm

# For SystemV (such as SCO, UnixWare, Solaris, but _NOT_ Linux or HP-UX)
#
#LIBS_SYS= -lm -lsocket

CFLAGS= $(CFLAGS_SYS)
LIBS= $(LIBS_SYS)

pfm2afm: pfm2afm.o
	$(CC) $(CFLAGS) -o pfm2afm pfm2afm.o $(LIBS)

pfm2afm.o: pfm2afm.c pfm2afm.h
	$(CC) $(CFLAGS) -c pfm2afm.c

=== debian/changelog ===
phpdocx (3.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #726167)

 -- David Prévot <taffit@debian.org>  Tue, 15 Oct 2013 19:43:48 -0400

=== debian/control ===
Source: phpdocx
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://www.phpdocx.com/
Vcs-Git: git://anonscm.debian.org/pkg-php/phpdocx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/phpdocx.git

Package: php-phpdocx
Architecture: all
Depends: php-dompdf, php-tcpdf, php5 | php5-cli, php5-xsl, ${misc:Depends}
Recommends: php5-tidy
Description: dynamical generation of .docx files
 PHPDocX is a PHP library designed to generate completely dynamic,
 fully customizable and digitally signed Word documents.
 .
 PHPDocX can create native .docx reports extracting data directly from
 any database or spreadsheet and export them to other popular formats
 (PDF, DOC, HTML, ODT...) with the help of the conversion plugin.
 These reports may include editable graphs (only .docx), images,
 tables, headers, footers, etcetera.
 .
 PHPDocX can create, and digitally sign if required, Word documents
 from scratch or use predefined templates.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_compress:
	dh_compress -X.docx

override_dh_fixperms:
	find $(CURDIR)/debian/php-phpdocx -executable -type f | xargs chmod -x
	dh_fixperms
